Patchwork [PATCHv4,4/5] pkg-config: mark as deprecated

login
register
mail settings
Submitter Gustavo Zacarias
Date Oct. 2, 2012, 1:22 p.m.
Message ID <1349184148-28340-4-git-send-email-gustavo@zacarias.com.ar>
Download mbox | patch
Permalink /patch/188519/
State Accepted
Commit 61d17c829cb47c306d6a1e2fa507eb5e3ff08b99
Headers show

Comments

Gustavo Zacarias - Oct. 2, 2012, 1:22 p.m.
Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar>
---
 package/pkg-config/Config.in |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

Patch

diff --git a/package/pkg-config/Config.in b/package/pkg-config/Config.in
index eae0a21..7f96d9b 100644
--- a/package/pkg-config/Config.in
+++ b/package/pkg-config/Config.in
@@ -1,6 +1,7 @@ 
 config BR2_PACKAGE_PKG_CONFIG
 	bool "pkg-config"
 	depends on BR2_USE_WCHAR # glib2
+	depends on BR2_DEPRECATED
 	select BR2_PACKAGE_LIBGLIB2
 	help
 	  pkg-config is a system for managing library compile/link
@@ -11,4 +12,4 @@  config BR2_PACKAGE_PKG_CONFIG
 	  http://www.freedesktop.org/software/pkgconfig/
 
 comment "pkg-config requires a toolchain with WCHAR support"
-	depends on !BR2_USE_WCHAR
+	depends on BR2_DEPRECATED && !BR2_USE_WCHAR